Name: konversation 
Version: 1.1
Release: alt1
Summary: Konversation is a user friendly Internet Relay Chat client.
License: GPL
Group: Networking/IRC
Url: http://konversation.kde.org

Source0: %name-%version.tar.bz2
Source1: %name-icons.tar.bz2

#Patch1: konversation-0.19-alt-scripts.patch

# Automatically added by buildreq on Wed Jan 09 2008
BuildRequires: doxygen gcc-c++ graphviz imake kdelibs-devel libXext-devel libXrender-devel libdnet-devel libjpeg-devel xml-utils xorg-cf-files
BuildRequires: perl-CGI perl-HTML-Parser perl-SOAP-Lite ruby-module-cgi ruby-module-net

%description
Konversation is a simple and easy-to-use IRC client for KDE with support for 
SSL connections, strikeout, multi-channel joins, away/unaway messages, 
ignore list functionality, full Unicode support, the ability to auto-connect 
to a server, optional timestamps in chat windows, configurable background colors, 
and much more. 

%prep
%setup -q

%__tar -xjf %SOURCE1 -C %name/images

#patch1 -p1

# Change default channel to #ALTLinux
%__subst "s,channel\.setName(\"\#kde\"),channel\.setName(\"\#ALTLinux\")," konversation/src/config/preferences.cpp
%__subst "s,<i>#kde</i>,<i>#ALTLinux</i>," konversation/src/serverlistdialog.cpp 

%__subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in

%make -f admin/Makefile.common cvs ||:

%build
%configure \
	--disable-rpath \
	--enable-new-ldflags
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name

%files -f %name.lang
%doc AUTHORS README TODO VERSION 
%_bindir/*
%_datadir/applications/kde/%name.desktop
%_datadir/apps/kconf_update/*
%_datadir/apps/%name
%_datadir/config.kcfg/%name.kcfg
%_iconsdir/*/*/*/*.png
%_datadir/services/*

%changelog
* Sun Sep 14 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.1-alt1
-  1.1.

* Thu Feb 14 2008 Grigory Batalov <bga@altlinux.ru> 1.0.1-alt2.1
- Rebuilt with python-2.5.

* Wed Jan 09 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.1-alt2
-  fix build on new sisyphus;
-  add scripts.

* Mon Dec 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- NMU:
  + 1.0.1
  + updated build dependencies
  + removed scripts on perl, python, ruby (patch1)
  + fixed tray icons size

* Mon Jun 26 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.19-alt1.1
-  fix build.

* Thu Feb 02 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.19-alt1
-  0.19.
-  #9057 fix. 10x to zerg@.
-  specfile cleanup.

* Mon Oct 03 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.18-alt0.2
-  build fix ("--disable-rpath" added to configure options).

* Wed Jun 15 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.18-alt0.1
-  0.18.
-  patch0 removed (upstream fix).

* Fri May 27 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17-alt0.5
-  patch for connection count control.

* Fri May 20 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17-alt0.4
-  default (first run) channel changed to #ALTLinux.
-  old style menu file.

* Wed May 18 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17-alt0.3
-  update/clean menus added.

* Wed May 18 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17-alt0.2
-  missing requres added.

* Wed May 18 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17-alt0.1
-  initial build.
